Package org.kapott.hbci.dialog

# Class SCARequest

java.lang.Object
org.kapott.hbci.dialog.SCARequest

public class SCARequest extends Object
Kapselt die Eckdaten des SCA-Requests in der Dialog-Initialisierung.

## Constructor Summary

Constructors
Constructor
Description
`SCARequest()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTanMedia()`
Liefert die TAN-Medienbezeichnung.
`String`
`getTanReference()`
Liefert den Geschaeftsvorfall-Code, der im HKTAN als Referenz verwendet werden soll.
`KnownTANProcess.Variant`
`getVariant()`
Liefert die Prozess-Variante.
`int`
`getVersion()`
Liefert die Segment-Version fuer das HKTAN.
`void`
`setTanMedia(String tanMedia)`
Speichert die TAN-Medienbezeichnung.
`void`
`setTanReference(String tanReference)`
Speichert den Geschaeftsvorfall-Code, der im HKTAN als Referenz verwendet werden soll.
`void`
`setVariant(KnownTANProcess.Variant variant)`
Speichert die Prozess-Variante.
`void`
`setVersion(int version)`
Speichert die Segment-Version fuer das HKTAN.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SCARequest

public SCARequest()

## Method Details

### getVariant

public KnownTANProcess.Variant getVariant()
Liefert die Prozess-Variante.

Returns:
  variant die Prozess-Variante.

### setVariant

public void setVariant(KnownTANProcess.Variant variant)
Speichert die Prozess-Variante.

Parameters:
  `variant` - die Prozess-Variante.

### getVersion

public int getVersion()
Liefert die Segment-Version fuer das HKTAN.

Returns:
  die Segment-Version fuer das HKTAN.

### setVersion

public void setVersion(int version)
Speichert die Segment-Version fuer das HKTAN.

Parameters:
  `version` - die Segment-Version fuer das HKTAN.

### getTanReference

public String getTanReference()
Liefert den Geschaeftsvorfall-Code, der im HKTAN als Referenz verwendet werden soll.

Returns:
  de Geschaeftsvorfall-Code, der im HKTAN als Referenz verwendet werden soll.

### setTanReference

public void setTanReference(String tanReference)
Speichert den Geschaeftsvorfall-Code, der im HKTAN als Referenz verwendet werden soll.

Parameters:
  `tanReference` - der Geschaeftsvorfall-Code, der im HKTAN als Referenz verwendet werden soll.

### getTanMedia

public String getTanMedia()
Liefert die TAN-Medienbezeichnung.

Returns:
  die TAN-Medienbezeichnung.

### setTanMedia

public void setTanMedia(String tanMedia)
Speichert die TAN-Medienbezeichnung.

Parameters:
  `tanMedia` - die TAN-Medienbezeichnung.